package com.kmall.api.dto;

import com.kmall.api.entity.CartVo;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author huangyq
 * @version 1.0
 * 2019-05-22 10:45
 */
public class UserCouponDto {
    private Long storeId;
    private Long userId;
    private String bizType;
    private BigDecimal goodsTotalPrice;
    private List<CartVo> cartGoodsList;

    private Integer campId;
    private Integer tickDiscId;

    public Integer getTickDiscId() {
        return tickDiscId;
    }

    public void setTickDiscId(Integer tickDiscId) {
        this.tickDiscId = tickDiscId;
    }

    public Integer getCampId() {
        return campId;
    }

    public void setCampId(Integer campId) {
        this.campId = campId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public BigDecimal getGoodsTotalPrice() {
        return goodsTotalPrice;
    }

    public void setGoodsTotalPrice(BigDecimal goodsTotalPrice) {
        this.goodsTotalPrice = goodsTotalPrice;
    }

    public List<CartVo> getCartGoodsList() {
        return cartGoodsList;
    }

    public void setCartGoodsList(List<CartVo> cartGoodsList) {
        this.cartGoodsList = cartGoodsList;
    }
}
